Subject: RE: find problem
From: [email-masked] (Bernard Dautrevaux)

12 Jan 1999 04:29:43 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 8bit
To: "[email-masked]'" <[email-masked]>, [email-masked]

> -----Message d'origine-----
> De:	[email-masked] [SMTP:[email-masked]]
> Date:	Saturday, January 09, 1999 23:37
> À:	[email-masked]
> Objet:	find problem
> 
> Hi *,
> 
> anyone able to tell me, why this happens with find:
> 
> MIKE-[/usr]_$ls -l
> total 0
> drwxr-xr-x   6 544      DomAdmin        0 Dec  7 22:43 cygwin-b20/
> drwxr-xr-x   2 544      DomAdmin        0 Dec  7 22:57 info/
> drwxr-xr-x  10 544      DomAdmin        0 Dec  6 01:25 local/
> drwxr-xr-x   6 544      DomAdmin        0 Dec  7 22:58 man/
> drwxr-xr-x   3 544      DomAdmin        0 Dec  6 01:27 spool/
> MIKE-[/usr]_$find . -name "frcode"
> find: ./cygwin-b20/H-i586-cygwin32/i586-cygwin32: No such file or
> directory
> find: ./cygwin-b20/H-i586-cygwin32/lib: No such file or directory
> find: ./cygwin-b20/H-i586-cygwin32/libexec: No such file or directory
> find: ./cygwin-b20/include: No such file or directory
> find: ./cygwin-b20/share: No such file or directory
> find: ./cygwin-b20/Uninst.isu: No such file or directory
> find: ./info: No such file or directory
> find: ./local: No such file or directory
> find: ./man: No such file or directory
> find: ./spool: No such file or directory
> 
Just my penny: the files seems to be owned by the local machine
administrator (if I remember right what user ID 544 is) which (if I
guess from the DomAdmin, I've never seen it till now...) seems to be an
NT Domain Administrator. If that's true most probably you have no access
to them,  (except if you are domain administrator, but making tests as
administrator is looking at your ability to flight by jumping from the
top of a mountain :-(); the only thing you are probably able to do is
test if a file or directory exist and try to open it (if you have the
right to), but you usually cannot read the directory...

I'm not sure if this is your problem, but please look at the NT
permissions for these directories: cygwin will only give you some
synthetic view of them, but there is a lot more in ACLs than what cygwin
can show in standard UN*X-like permissions.

Hope this helps a bit ;-)

Regards,

	Bernard

------------------------------------------------------------------------
------
Bernard Dautrevaux
Microprocess Ingéniérie
97 bis, rue de Colombes
92400 COURBEVOIE
FRANCE
Tel:	+33 (0) 1 47 68 80 80
Fax:	+33 (0) 1 47 88 97 85
e-mail:	[email-masked]
	[email-masked]
------------------------------------------------------------------------
------

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".